File: changelog

package info (click to toggle)
plexus-compiler 2.8.5-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 1,000 kB
  • sloc: java: 6,809; xml: 590; makefile: 2
file content (252 lines) | stat: -rw-r--r-- 8,715 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
plexus-compiler (2.8.5-2) unstable; urgency=medium

  * Team upload.
  * Depend on libeclipse-jdt-core-java instead of libecj-java
  * Removed the -java-doc package
  * Standards-Version updated to 4.4.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 15 Jul 2019 15:47:49 +0200

plexus-compiler (2.8.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.2.1

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 20 Sep 2018 16:23:39 +0200

plexus-compiler (2.8.4-2) unstable; urgency=medium

  * Team upload.
  * Reverted the modification setting the 'release' attribute automatically
    since this renders the internal JDK APIs unavailable at compile time.

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 03 Jul 2018 13:18:47 +0200

plexus-compiler (2.8.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Automatically set the value of the javac --release attribute to improve
    the backward compatibility of the code compiled with Java 9 or later
    (Closes: #895619)
  * Depend on libecj-java (>= 3.13.2) and removed the ecj compatibility patch
  * Standards-Version updated to 4.1.4
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 16 Jun 2018 00:09:15 +0200

plexus-compiler (2.8.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Fixed the compatibility with the version of ECJ in Debian
    - Updated the Maven rules
    - Switched to source/target level 1.7
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11
  * Depend on libplexus-container-default-java
    instead of libplexus-container-default1.5-java,

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 02 Mar 2018 17:43:25 +0100

plexus-compiler (2.8.2-5) unstable; urgency=medium

  * Team upload.
  * Fixed the scope of junit for plexus-compiler-api

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 18 Sep 2017 15:31:35 +0200

plexus-compiler (2.8.2-4) unstable; urgency=medium

  * Team upload.
  * Added the missing dependency management entries that should be inherited
    from the ignored parent pom.
  * Removed the unused build dependency on libmaven-install-plugin-java
  * Set the source encoding to UTF-8

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 15 Sep 2017 23:35:08 +0200

plexus-compiler (2.8.2-3) unstable; urgency=medium

  * Team upload.
  * Depend on libmaven3-core-java instead of libmaven2-core-java
  * Depend on libplexus-container-default1.5-java
    instead of libplexus-container-default-java
  * Depend on libplexus-utils2-java instead of libplexus-utils-java
  * Standards-Version updated to 4.1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 01 Sep 2017 10:12:44 +0200

plexus-compiler (2.8.2-2) unstable; urgency=medium

  * Team upload.
  * Automatically adjust the source/target to 1.7 if a lower level is specified

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 04 Jul 2017 09:15:04 +0200

plexus-compiler (2.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Depend on junit4 instead of junit
    - Build the new j2objc module
  * Standards-Version updated to 4.0.0
  * Switch to debhelper level 10
  * Use secure Vcs-* URLs
  * Updated the Homepage field
  * Updated the location of the upstream Git repository

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 30 Jun 2017 19:02:15 +0200

plexus-compiler (2.4-4) unstable; urgency=medium

  * Team upload.
  * Added the missing build dependency on libplexus-component-metadata-java
    (Closes: #829103)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 30 May 2017 14:23:54 +0200

plexus-compiler (2.4-3) unstable; urgency=medium

  * Team upload.
  * Build with the DH sequencer instead of CDBS (Closes: #809285)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 29 Dec 2015 18:24:51 +0100

plexus-compiler (2.4-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 23 May 2015 12:19:55 -0300

plexus-compiler (2.4-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patch: set-dependencies-versions.patch.

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 08 Mar 2015 12:17:17 -0300

plexus-compiler (2.2-2) experimental; urgency=medium

  * Team upload.
  * Allow co-installation with plexus-compiler-1.0 packages.
  * Drop unneeded patch: add_support_for_maven_compiler_plugin_2.5.1.patch.
  * Remove unused Ant build files.
  * Drop dummy transitional packages.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 07 Mar 2015 20:02:32 -0300

plexus-compiler (2.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update d/watch file.
  * Bump Standards-Version to 3.9.6. No changes were required.
  * Refresh patches:
    - d/patches/eclipse-compatibility.patch.
    - d/patches/fix_test_classpath.patch.
  * Drop unneeded patch:
    - d/patches/backward-compatibility.patch.
    - d/patches/eclipse-compatibility.patch.
  * Add B-D on libmaven-install-plugin-java.

 -- Miguel Landaeta <nomadium@debian.org>  Tue, 03 Mar 2015 19:56:14 -0300

plexus-compiler (1.9.2-2) unstable; urgency=medium

  * Team upload.
  * Added a patch to set the missing versions of the dependencies in the poms

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 21 Jan 2014 11:09:39 +0100

plexus-compiler (1.9.2-1) unstable; urgency=low

  * Team upload

  [ Ludovic Claude ]
  * New upstream version, add myself to Uploaders
  * d/control: Remove Build-Depends on libplexus-component-metadata-java
  * Add Build-Depends on default-jdk-doc, libmaven2-core-java-doc,
    libplexus-container-default-java-doc, libplexus-utils-java-doc
  * Add dependency on libecj-java,
  * Remove dependency on libaspectj-java, as plexus-aspectj-compiler
    cannot compile with AspectJ 1.6
  * Update description
  * Create again the libplexus-compiler-java-doc package.
  * d/watch: update to new location on Github
  * d/orig-tar.sh: remove as it's not needed anymore
  * d/patches: remove old patches, not needed anymore as the parent POM
    is now packaged and contains the same information,
    add a patch to fix the failing unit tests

  [ Emmanuel Bourg ]
  * Added a patch to compile with the Eclipse compiler available in Debian
  * Added a patch to preserve the compatibility with maven-stapler-plugin
  * debian/control:
    - Updated Standards-Version to 3.9.5 (no changes)
    - Marked junit as a suggested dependency
  * Build depend on debhelper >= 9
  * debian/copyright: Updated the Format URI to 1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 06 Nov 2013 22:55:20 +0100

plexus-compiler (1.6-2) unstable; urgency=low

  * Team upload.
  * d/maven.rules: Force usage of default plexus-utils 1.x.
  * d/patches/0002-add-version-3.8.2-to-dependency-junit.patch: Rework patch
    to use dependencyManagment to set junit version.
  * Bump Standards-Version to 3.9.2:
    - Add missing missing misc:Depends
    - Set other packages as dummy in synopsis
  * d/copyright: Small fix to DEP-5 format.

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 08 Dec 2011 00:30:42 +0100

plexus-compiler (1.6-1) unstable; urgency=low

  * Merge 3 plexus-compiler-* source package into 1 source package
    plexus-compiler.
  * New (but not newest) upstream version. Ignore test failures.
  * Remove Paul from Uploaders list.
  * Add myself to Uploaders.
  * Update Standards-Version: 3.9.1.
  * Switch to debhelper level 7.
  * Switch to source version 3.0.

 -- Torsten Werner <twerner@debian.org>  Fri, 26 Aug 2011 07:14:39 +0200

plexus-compiler-api (1.5.3-3) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 23:20:13 +0200

plexus-compiler-api (1.5.3-2) experimental; urgency=low

  * Change section to java
  * Add the Maven POM to the package
  * Add a Build-Depends-Indep dependency on maven-repo-helper
  * Use mh_installpom and mh_installjar to install the POM and the jar to the
    Maven repository
  * Update watch file and orig-tar.sh to keep working. Use SVN to download sources
  * Change debian/build.xml: use Java source version 1.4 for compatibility,
    don't include META-INF/ folder from the sources
  * Fix Lintian warning: remove full Apache licence text from the copyright file
  * Change the dependency on libplexus-container-default-java to
    libplexus-containers-java

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 23 Mar 2009 00:42:27 +0000

plexus-compiler-api (1.5.3-1) unstable; urgency=low

  * Initial release.
    (Closes: 474610).

 -- Paul Cager <paul-debian@home.paulcager.org>  Sun, 06 Apr 2008 23:48:13 +0100